Get marketing policy

Returns the currently published marketing communications policy, including available consent channels (email, phone, SMS, mail) and the agreement text.

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/apis/policies/marketing_policy
curl https://ff-business-school.fullfabric.cloud/apis/policies/marketing_policy \
  --header 'FF-Auth: YOUR_SECRET_TOKEN'
{
  "id": "69651a899a52af9cdca889d3",
  "name": "Marketing Communications Policy",
  "published_at": 1710000000000,
  "published_by_id": "6385baa4976a771912000511",
  "published": true,
  "locales": [
    {
      "html": "<p>We would like to send you information about upcoming events, programmes, and scholarships. You can unsubscribe at any time.</p>",
      "id": "69651a899a52af9cdca889d4",
      "locale": "en-GB"
    }
  ],
  "agreement_text": "I agree to receive marketing communications.",
  "version": "2",
  "active": true,
  "type": "Policies::Communication",
  "options": [
    "email",
    "phone",
    "sms"
  ],
  "channels": {
    "email": true,
    "phone": true,
    "sms": true,
    "mail": false
  }
}